Status: Closed Start date: Oct 12, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: Data Catalogue   

Infrastructure: Production   

Description

We need a new instance of Geonetwork and a postgis db to connect it to.

To create a new db in the currently used dbms instance geoserver-db.d4science.org might be an option.

It should be a SmartGear installation, with geonetwork application installed (v 2.6.4 as currently running in production).

Related issues:

Related to D4Science Infrastructure - Task #205: Automate the installation an... Closed May 30, 2015

History

#1 - Oct 26, 2016 06:51 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Oct 26, 2016 07:00 PM - Andrea Dell'Amico

hostname and IP are going to be geonetwork1-p-d4s.d4science.org 146.48.122.250

#3 - Oct 26, 2016 07:32 PM - Andrea Dell'Amico

- % Done changed from 0 to 40

I'm going to install a 9.5 postgresql instance on the same host. If that postgresql version is OK, I'll create a separate VM to host the DB.

I'll need a production authorization token to setup smartgears correctly.

#4 - Oct 26, 2016 08:08 PM - Andrea Dell'Amico

- % Done changed from 40 to 80

The node is up. The postgres credentials are the same of the new dev DB.

The missing parts are a working smartgears configuration (token and scopes are needed) and the geonetwork application.

#5 - Oct 27, 2016 11:01 AM - Fabio Sinibaldi

The DBMS needs to be postgis enabled.

About scopes, the production root /d4science.research-infrastructures.eu is enough. Token will be provided privately.

#6 - Oct 27, 2016 11:57 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

Fabio Sinibaldi wrote:

The DBMS needs to be postgis enabled.

 They are installed already. postgresql 9.5, postgis extensions 2.3 (the latest available for postgresql 9.5)

About scopes, the production root /d4science.research-infrastructures.eu is enough. Token will be provided privately.

 Thanks. smartgears is configured
#7 - Oct 27, 2016 08:27 PM - Andrea Dell'Amico

- Related to Task #205: Automate the installation and configuration of the geonetwork servers added

#8 - Nov 02, 2016 11:49 AM - Fabio Sinibaldi

- Status changed from Feedback to Closed

The node works properly. However, geonetwork webapp is using geoserver-db.d4science.org, because it's not compatible with the provided postgis

installation. We're gonna migrate to a newer version ASAP, so it's not a problem.
